unit U_GetDllForm;

interface

uses
  Windows, Messages, forms, OleCtnrs, DateUtils, SysUtils, ADODB, inifiles,
  dxCore, ActiveX;

function GetDllForm(App: Tapplication; FormH: hwnd; FormID: integer; Language: integer; WinStyle: integer; GCode: Pchar; GName: Pchar; DataBase: Pchar; Title: PChar; Parameters1: PChar; Parameters2: PChar; Parameters3: PChar; Parameters4: PChar; Parameters5: PChar; Parameters6: PChar; Parameters7: PChar; Parameters8: PChar; Parameters9: PChar; Parameters10: PChar; DataBaseStr: PChar): hwnd; export; stdcall;

function ConnData(): Boolean;

implementation

uses
  U_DataLink, U_KHInfo, U_ZdyAttachment, U_ZdyAttachGYS, U_ZdyAttachCP,
  U_NengHaoList, U_CPKWlist, U_ZdyAttachCP10;

       /////////////////////////////////////////////////////////////////
      //         功能说明:取Dll中得窗体                              //
     //        参数说明：App>>调用应用程序；                        //
    //                 FormH>>调用窗口句柄 ；                      //
   //                 FormID>>窗口号;                             //
  //                 Language>>语言种类;                         //
 //                 WinStyle>>窗口类型；                        //
/////////////////////////////////////////////////////////////////
function GetDllForm(App: Tapplication; FormH: hwnd; FormID: integer; Language: integer; WinStyle: integer; GCode: Pchar; GName: Pchar; DataBase: Pchar; Title: PChar; Parameters1: PChar; Parameters2: PChar; Parameters3: PChar; Parameters4: PChar; Parameters5: PChar; Parameters6: PChar; Parameters7: PChar; Parameters8: PChar; Parameters9: PChar; Parameters10: PChar; DataBaseStr: PChar): hwnd;
var
  mnewHandle: hwnd;
  mstyle: TFormStyle;     // 0:子窗口; 1：普通窗口
  mstate: TWindowState;
  mborderstyle: TFormBorderStyle;
begin
  mnewHandle := 0;
  DName := GName;
  DCode := GCode;
  DdataBase := DataBase;
  DTitCaption := Title;
  DParameters1 := Parameters1;
  DParameters2 := Parameters2;
  DParameters3 := Parameters3;
  DParameters4 := Parameters4;
  DParameters5 := Parameters5;
  DParameters6 := Parameters6;
  DParameters7 := Parameters7;
  DParameters8 := Parameters8;
  DParameters9 := Parameters9;
  DParameters10 := Parameters10;

  MainApplication := App;
  DCurHandle := FormH;
  IsDelphiLanguage := Language;

  Application := TApplication(App);
  DCurHandle := 0;


   //赋值链接字符串
  SetLength(server, 255);
  SetLength(dtbase, 255);
  SetLength(user, 255);
  SetLength(pswd, 255);

  server := '139.196.255.193,7781';
  dtbase := 'fengwangdata';
  // dtbase:='LZ130506';
  user := 'sa';
  pswd := 'rightsoft@123';
  DConString := 'Provider=SQLOLEDB.1;Password=' + pswd + ';Persist Security Info=True;User ID=' + user + ';Initial Catalog=' + dtbase + ';Data Source=' + server;
  DConString := DataBaseStr;
 //  DParameters1:='高权限';
 //  DataBase:='加工厂';
  //DataBase:='';
  if not ConnData() then
  begin
    result := 0;
    exit;
  end;

   // 定义窗口类型 、状态
  if WinStyle = 0 then
  begin
    mstyle := fsMDIChild;
    mstate := wsMaximized;
    mborderstyle := bsSizeable;
  end
  else
  begin
    mstyle := fsNormal;
    mstate := wsNormal;
    mborderstyle := bsSizeable;
  end;
  /////////////////////
  //调用子模块窗口
  case FormID of
    1:  //客户资料维护
      begin
        if frmZdyAttachment = nil then
        begin
          frmZdyAttachment := TfrmZdyAttachment.Create(application.MainForm);
          with frmZdyAttachment do
          begin
            caption := Trim(Title);
         //  fkhType:=trim(DataBase);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmZdyAttachment.BringToFront;
       //句柄
        mnewHandle := frmZdyAttachment.Handle;

      end;
    2:  //供应商资料维护
      begin
        if frmZdyAttachGYS = nil then
        begin
          frmZdyAttachGYS := TfrmZdyAttachGYS.Create(application.MainForm);
          with frmZdyAttachGYS do
          begin
            caption := Trim(Title);
          // fDEFstr5:=trim('');
            fDEFstr5 := trim(DataBase);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmZdyAttachGYS.BringToFront;
       //句柄
        mnewHandle := frmZdyAttachGYS.Handle;

      end;
    3:  //产品资料维护
      begin
        if frmZdyAttachCP = nil then
        begin
          frmZdyAttachCP := TfrmZdyAttachCP.Create(application.MainForm);
          with frmZdyAttachCP do
          begin
            caption := Trim(Title);
      //     fkhType:='';
            fkhType := trim(DataBase);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmZdyAttachCP.BringToFront;
       //句柄
        mnewHandle := frmZdyAttachCP.Handle;

      end;
    31:  //产品资料维护
      begin
        if frmZdyAttachCP10 = nil then
        begin
          frmZdyAttachCP10 := TfrmZdyAttachCP10.Create(application.MainForm);
          with frmZdyAttachCP10 do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmZdyAttachCP10.BringToFront;
       //句柄
        mnewHandle := frmZdyAttachCP10.Handle;

      end;
    4:  //能耗登记
      begin
        if frmNengHaoList = nil then
        begin
          frmNengHaoList := TfrmNengHaoList.Create(application.MainForm);
          with frmNengHaoList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmNengHaoList.BringToFront;
       //句柄
        mnewHandle := frmNengHaoList.Handle;

      end;
//    5:  //统计汇总查询
//      begin
//        if frmHZViewList = nil then
//        begin
//          frmHZViewList := TfrmHZViewList.Create(application.MainForm);
//          with frmHZViewList do
//          begin
//            caption := Trim(Title);
//            FormStyle := mstyle;
//            windowState := mstate;
//            BorderStyle := mborderstyle;
//           //show;
//          end;
//        end
//        else
//          frmHZViewList.BringToFront;
//       //句柄
//        mnewHandle := frmHZViewList.Handle;
//
//      end;
    6:  //统计汇总查询
      begin
        if frmCPKWList = nil then
        begin
          frmCPKWList := TfrmCPKWList.Create(application.MainForm);
          with frmCPKWList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmCPKWList.BringToFront;
       //句柄
        mnewHandle := frmCPKWList.Handle;

      end;
  end;  // end case

  Result := mnewHandle;
//  NewDllApp := Application;
end;
//===========================================================
  //建立数据库连接池
//===========================================================

function ConnData(): Boolean;
var
  IniFile: TIniFile;
begin
  try
    IniFile := TIniFile.Create(ExtractFilePath(Application.ExeName) + 'SYSTEMSET.INI');
    PicSvr := IniFile.ReadString('SERVER', '服务器地址', '127.0.0.1');
  //  UserDataFlag:=IniFile.ReadString('SERVER', '服务器地址类型','-1');
  finally
    IniFile.Free;
  end;
  if not Assigned(DataLink_BaseInfo) then
    DataLink_BaseInfo := TDataLink_BaseInfo.Create(Application);
  try
    with DataLink_BaseInfo.ADOLink do
    begin
      if not Connected then
      begin
        Connected := false;
        ConnectionString := DConString;
        LoginPrompt := false;
        Connected := true;
      end;
    end;
    Result := true;
  except
    Result := false;
    application.MessageBox('数据库连接失败！', '错误', mb_Ok + MB_ICONERROR);
  end;

end;

initialization
  CoInitialize(nil);
  dxUnitsLoader.Initialize;


finalization
  DataLink_BaseInfo.Free;
  application := NewDllApp;
  dxUnitsLoader.Finalize;

end.

